ValueHandlerFactory.BigIntegerValueHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Class ValueHandlerFactory.BigIntegerValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<BigInteger>
          org.hibernate.ejb.criteria.ValueHandlerFactory.BigIntegerValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<BigInteger>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.BigIntegerValueHandler

extends ValueHandlerFactory.BaseValueHandler<BigInteger>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.BigIntegerValueHandler` | `INSTANCE`

Constructor Summary
`ValueHandlerFactory.BigIntegerValueHandler()`

Method Summary
`BigInteger` | `convert(Object value)`
`String` | `render(BigInteger value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.BigIntegerValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.BigIntegerValueHandler

    public ValueHandlerFactory.BigIntegerValueHandler()

Method Detail

### convert

    public BigInteger convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<BigInteger>`

### render

    public String render(BigInteger value)

  Specified by:
    `render` in interface `ValueHandlerFactory.ValueHandler<BigInteger>`
  Overrides:
    `render` in class `ValueHandlerFactory.BaseValueHandler<BigInteger>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.